## org.apache.batik.bridge
Class AnimationSupport

    java.lang.Object
      org.apache.batik.bridge.AnimationSupport

    public abstract class AnimationSupport

extends java.lang.Object

Class that provides utilities for animation support.

Constructor Summary
`AnimationSupport()`

Method Summary
`static void` `fireTimeEvent(EventTarget target, java.lang.String eventType, java.util.Calendar time, int detail)` Fires a `TimeEvent` on the given `EventTarget`.
`protected static org.w3c.dom.Element` `getElementById(java.lang.String id, org.w3c.dom.Node n)` Returns the element with the given ID, using the given node as the context for the lookup.
`static EventTarget` `getEventTargetById(java.lang.String id, org.w3c.dom.Node n)` Returns the event target with the given ID, using the given node as the context for the lookup.
`static TimedElement` `getTimedElementById(java.lang.String id, org.w3c.dom.Node n)` Returns the timed element with the given ID, using the given node as the context for the lookup.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnimationSupport

    public AnimationSupport()

Method Detail

### fireTimeEvent

    public static void fireTimeEvent(EventTarget target,
                                     java.lang.String eventType,
                                     java.util.Calendar time,
                                     int detail)

  Fires a `TimeEvent` on the given `EventTarget`.

### getTimedElementById

    public static TimedElement getTimedElementById(java.lang.String id,
                                                   org.w3c.dom.Node n)

  Returns the timed element with the given ID, using the given node as the context for the lookup.

### getEventTargetById

    public static EventTarget getEventTargetById(java.lang.String id,
                                                 org.w3c.dom.Node n)

  Returns the event target with the given ID, using the given node as the context for the lookup.

### getElementById

    protected static org.w3c.dom.Element getElementById(java.lang.String id,
                                                        org.w3c.dom.Node n)

  Returns the element with the given ID, using the given node as the context for the lookup.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.